
#version 150 compatibility 

/// The input sampler which is to be mapped
/// to the output pixels
uniform sampler2D uni_smp_mask1 ;
uniform sampler2D uni_smp_mask2 ;
uniform sampler2D uni_smp_mask3 ;
uniform sampler2D uni_smp_mask4 ;

/// Gives the birghtness of the background an extra hit
uniform float uni_beat ;

vec4 color_bg1_1 = vec4(0.0,0.0,0.2,1.0) ;
vec4 color_bg1_2 = vec4(0.4,0.4,1.0,1.0) ;

void main()
{
	vec4 color = texture2D( uni_smp_mask1, gl_TexCoord[0].xy ) ;

	gl_FragColor = vec4(vec3(0.0),color.r) ;
	
}